Bug 476587 - dbus error when managing services in system-config-services
dbus error when managing services in system-config-services
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
: 476711 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 18:07 EST by Viktor Erdelyi
Modified: 2009-12-18 02:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:18:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console error message (1.56 KB, text/plain)
2008-12-16 01:14 EST, Gary Tivey
no flags Details

  None (edit)
Description Viktor Erdelyi 2008-12-15 18:07:05 EST
Description of problem:

I get this when I try to start, stop, activate or deactivate a service in system-config-services.

Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 795, in on_serviceEnable_activate
    service.enable ()
  File "/usr/lib/python2.5/site-packages/slip/dbus/polkit.py", line 53, in enable_proxy_wrapper
    sessionbus = dbus.SessionBus ()
  File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 219, in __new__
    mainloop=mainloop)
  File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 108, in __new__
    bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 125, in __new__
    bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Name       : system-config-services
Architektur : noarch
Version    : 0.99.28

Possible workaround:
http://www.fedoraforum.de/viewtopic.php?f=7&p=95247#p95325
Comment 1 Viktor Erdelyi 2008-12-15 18:08:16 EST
Well maybe more related to dbus, changing component.
Comment 2 Gary Tivey 2008-12-16 01:14:31 EST
Created attachment 327064 [details]
console error message 

dbus-1.2.8-1.fc10.i386
system-config-services-0.99.28-3.fc10.noarch
Comment 3 Nils Philippsen 2008-12-16 04:50:38 EST
(In reply to comment #2)
> Created an attachment (id=327064) [details]
> console error message 
> 
> dbus-1.2.8-1.fc10.i386
> system-config-services-0.99.28-3.fc10.noarch

Gary, you need to update PolicyKit.
Comment 4 Nils Philippsen 2008-12-16 04:53:23 EST
(In reply to comment #1)
> Well maybe more related to dbus, changing component.

Which dbus version do you have ("rpm -q dbus")?
Comment 5 Viktor Erdelyi 2008-12-16 05:37:40 EST
dbus-1.2.8-1.fc10.x86_64
Comment 6 Peter F. Patel-Schneider 2008-12-16 08:03:56 EST
I have the same problem, on a F10 box that is up to date as of 8AMEST Dec 16.  (I just ran 'yum update' and nothing was updated.)

There is a workaround, which is to run system-config-services as root.

Could this be some fallout of the recent systemic update problems?
Comment 7 Viktor Erdelyi 2008-12-16 09:57:55 EST
For me, running as root doesn't help either.
Comment 8 Peter F. Patel-Schneider 2008-12-16 12:52:34 EST
Ah, weird.

Running directly as root doesn't work.
Using sudo does!


# system-config-services
Traceback (most recent call last):
  File "/usr/sbin/system-config-services", line 945, in <module>
    GUI (use_dbus = use_dbus).run ()
  File "/usr/sbin/system-config-services", line 900, in __init__
    self.serviceherders.append (cls (bus = self._bus))
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 53, in __init__
    for service_name in self.list_services ():
  File "/usr/lib/python2.5/site-packages/slip/dbus/polkit.py", line 48, in enable_proxy_wrapper
    return func (*p, **k)
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 66, in list_services
    return self.dbus_object.list_services (dbus_interface = "org.fedoraproject.Config.Services.ServiceHerder")
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PolicyKit" member "IsSystemBusNameAuthorized" error name "(unset)" destination ":1.48")
[root@getafix pfps]# exit
exit


49> sudo system-config-services
[sudo] password for pfps: 
**and then it works!**
Comment 9 Viktor Erdelyi 2008-12-16 13:26:50 EST
Did you notice that you got org.freedesktop.DBus.Error.AccessDenied instead of my org.freedesktop.DBus.Error.NoReply?
PS: weird, I agree. :P
Comment 10 Nils Philippsen 2008-12-17 05:59:41 EST
(In reply to comment #9)
> Did you notice that you got org.freedesktop.DBus.Error.AccessDenied instead of
> my org.freedesktop.DBus.Error.NoReply?

Viktor, is system-config-services the only program with which you see these problems? Please check other programs that use dbus/PolicyKit, e.g. system-config-samba.

What is your setup, i.e. which desktop do you use, do you start system-config-services from the menu or from the command line?

> PS: weird, I agree. :P

Yes ;-).
Comment 11 Peter F. Patel-Schneider 2008-12-17 07:16:27 EST
I don't have system-config-samba installed, I think.  What are other programs that use dbus/PolicyKit?  I've tried a number of programs in System->Administration. Most work, but system-control-network has problems.

I've tried system-config-services from System->Administration and from the command line, both as me and as root.  The only way that works is using sudo.

Here is the result of system-control-network, run as me:
47> system-control-network
2008-12-17 07:08:00,343 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/Manager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,343 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,344 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/net_2e_0e_61_3a_29_4a: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,345 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,354 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/net_2e_0e_61_3a_29_4a: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,354 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,356 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/computer: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,357 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,359 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/computer: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,359 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,361 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/net_computer_loopback: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,361 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,365 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/net_00_00_00_00: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,365 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,368 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/net_00_13_02_24_d5_1b_0: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,368 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,372 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/net_00_13_02_24_d5_1b: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,372 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,377 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/net_00_13_02_24_d5_1b: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,377 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,380 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/pci_8086_4227: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,380 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,383 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/pci_8086_4227: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,384 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,385 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/net_00_16_41_ae_c7_ed: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,385 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,391 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/net_00_16_41_ae_c7_ed: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,391 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,393 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/pci_8086_109a: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,393 DEBUG system-config-network Executing introspect queue due to error
2008-12-17 07:08:00,397 ERROR system-config-network Introspect error on :1.0:/org/freedesktop/Hal/devices/pci_8086_109a: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")
2008-12-17 07:08:00,397 DEBUG system-config-network Executing introspect queue due to error
Traceback (most recent call last):
  File "/usr/bin/system-control-network", line 536, in <module>
    window = mainDialog()
  File "/usr/bin/system-control-network", line 130, in __init__
    self.devicelist = self.getProfDeviceList()
  File "/usr/bin/system-control-network", line 453, in getProfDeviceList
    profilelist = getProfileList(refresh)
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 669, in getProfileList
    __PFList.load()
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 90, in load
    self.loadprof(pr, profdir)                
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 104, in loadprof
    devicelist = NCDeviceList.getDeviceList()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 327, in getDeviceList
    __DVList.load()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 87, in load
    newdev.load(dev)
  File "/usr/share/system-config-network/netconfpkg/plugins/NCPluginDevWireless.py", line 44, in load
    conf.write()
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 128, in write
    ConfShellVar.ConfShellVar.write(self)
  File "/usr/share/system-config-network/netconfpkg/conf/Conf.py", line 329, in write
    mfile = open(self.filename, 'w', -1)
IOError: [Errno 13] Permission denied: '//etc/sysconfig/networking/devices/ifcfg-wlan0'

The program then exits.  Run as root, the program prints the ERROR and DEBUG lines, but no traceback, and then sits.  Run under sudo, the program prints the ERROR and DEBUG lines, and then pops up the expected window.

The related system-config-network behaves correctly from the System->Administration menu, but when run directly exhibits similar unusual behaviour.

What files do you need to find out more?

PS:  This is all under gnome (but I do install amarok).
Comment 12 Nils Philippsen 2008-12-17 08:46:02 EST
(In reply to comment #11)
[...]
> 2008-12-17 07:08:00,343 ERROR system-config-network Introspect error on
> :1.0:/org/freedesktop/Hal/Manager: dbus.exceptions.DBusException:
> org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents
> this sender from sending this message to this recipient, see message bus
> configuration file (rejected message had interface
> "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)"
> destination ":1.0")
[...]
> The program then exits.  Run as root, the program prints the ERROR and DEBUG
> lines, but no traceback, and then sits.  Run under sudo, the program prints the
> ERROR and DEBUG lines, and then pops up the expected window.
> 
> The related system-config-network behaves correctly from the
> System->Administration menu, but when run directly exhibits similar unusual
> behaviour.

I can't say anything about system-config-network, but your problem seems a different one than that of the original reporter (that's why I asked him directly ;-).

Peter, you should at update to dbus-1.2.8-1.fc10 and
PolicyKit-0.9-4.fc10 (or later versions) and see if your problem (with system-config-services) is solved then. If you have problems with other tools, please open bugs against them directly ;-).
Comment 13 Nils Philippsen 2008-12-17 08:47:23 EST
Viktor, as Peter reset the "needinfo" flag, I have to ask again ;-):

Is system-config-services the only program with which you see these problems? Please check other programs that use dbus/PolicyKit, e.g. system-config-samba.

What is your setup, i.e. which desktop do you use, do you start
system-config-services from the menu or from the command line?
Comment 14 Viktor Erdelyi 2008-12-17 09:45:03 EST
For the "Introspect error on :1.0:/org/freedesktop/Hal/Manager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied:" message:
I get them too with system-config-network.
As for the needinfo:
when starting from the command line (originally did so to see the error messages), it doesn't work. when starting from the menu, it seems to work... (it didn't until now, and I didn't update anything...)
I use a fully up-to-date FC10, with Gnome desktop and parts of KDE4 installed.
Other programs:
I get dbus introspect errors with s-c-firewall, s-c-printer too. However I don't get them with s-c-selinux for example. So it's quite random, (I think) based on whether they're using dbus or not. If I start them from the menu, I can't check whether the error messages are there.

I don't have s-c-samba installed either, so if you need precise results, tell me exactly which programs I should test and what I should do with them to make them actually use dbus.

PS.: did anyone try the above mentioned workaround?
Comment 15 Viktor Erdelyi 2008-12-17 09:49:29 EST
Erm.. regarding s-c-network: I get the errors BUT the window pops up and is usable (I didn't mess too much with the settings though).
Comment 16 Gianluca Varisco 2008-12-24 08:40:11 EST
*** Bug 476711 has been marked as a duplicate of this bug. ***
Comment 17 Nils Philippsen 2009-02-02 06:04:04 EST
Does anyone still see this problem with current dbus (dbus-1.2.4-2.fc10.x86_64 here)?
Comment 18 Viktor Erdelyi 2009-03-21 09:17:49 EDT
For me, it seems to be working.
Comment 19 Ted Kessler 2009-04-09 12:54:59 EDT
Still not working. dbus-1.2.4-2.fc10.i386. Using runlevel 3 to start in console, logged in as root.  startx run to bring up gnome desktop (as root).  System->Administration->Services brings up service list, but any changes are ignored.  When system-config-services is run from a terminal started on the Desktop, then attempt is made to enable a service (or any changes), same error occurs as in initial description (Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 795, in
on_serviceEnable_activate
    service.enable () ...)
However if su - is run first, system-config-services works fine.  Once can also precede command with sudo and it also works with no errors and changes updated.
Comment 20 Volker Braun 2009-05-08 09:47:13 EDT
For the record, I get the same error on a completely up-to-date Fedora 11 preview. I think the "runlevel 3" mentioned by #19 is the key.

Steps to reproduce:
1) Set inittab to id:3:initdefault:
2) Boot, login as root, issue "init 5" to get X11
3) Open terminal, su, system-config-services

----------------------------------
[vbraun@localhost ~]$ su
Password: 
[root@localhost vbraun]# system-config-services 
Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 807, in on_serviceDisable_activate
    service.disable ()
  File "/usr/lib/python2.6/site-packages/slip/dbus/polkit.py", line 53, in enable_proxy_wrapper
    sessionbus = dbus.SessionBus ()
  File "/usr/lib/python2.6/site-packages/dbus/_dbus.py", line 219, in __new__
    mainloop=mainloop)
  File "/usr/lib/python2.6/site-packages/dbus/_dbus.py", line 108, in __new__
    bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
  File "/usr/lib/python2.6/site-packages/dbus/bus.py", line 125, in __new__
    bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
---------------------------------

PS: Logging in as root via ssh works, but gaining rights via su does not.
Comment 21 Joseph O Morrow 2009-06-21 11:42:26 EDT
I got the same as Comment #8.
Comment 22 Nils Philippsen 2009-06-22 09:41:58 EDT
(In reply to comment #20)
> For the record, I get the same error on a completely up-to-date Fedora 11
> preview. I think the "runlevel 3" mentioned by #19 is the key.
> 
> Steps to reproduce:
> 1) Set inittab to id:3:initdefault:
> 2) Boot, login as root, issue "init 5" to get X11
> 3) Open terminal, su, system-config-services
> 
> ----------------------------------
[...snip...]
> PS: Logging in as root via ssh works, but gaining rights via su does not.  

(In reply to comment #21)
> I got the same as Comment #8.  

You both should use "su -" to run s-c-services as root instead of plain "su", otherwise you inherit the environment of your user and the tool then doesn't know that you want it to bypass dbus.
Comment 23 Bug Zapper 2009-11-18 05:28:50 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Bug Zapper 2009-12-18 02:18:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.